<?php
/*
Plugin Name: 不動産売却査定プラグイン
Plugin URI: https://jisaku-hp.jp/
Description: お使いのテーマで土地、一戸建て、マンションの売却査定プログラムを表示できます。
Author: 廣本　隆史
Version: 1.0
Author URI: https://jisaku-hp.jp/
*/
function kodate_Include($params = array()) {
 extract(shortcode_atts(array('file' => 'default'), $params));
 ob_start();
 include(plugin_dir_path( __FILE__ ) . "/$file.php");
 return ob_get_clean();
}
add_shortcode('baikyaku', 'kodate_Include');
    global $wpdb;
    $table = $wpdb->prefix.'manshon';
    $table2 = $wpdb->prefix.'tochi';
    $table13 = $wpdb->prefix.'satei_log';
    //manshonテーブルが存在していなければ作成する
    if ($wpdb->get_var("SHOW TABLES LIKE '$table'") != $table) {
        $sql = "
            CREATE TABLE IF NOT EXISTS `$table` (
id int(10) unsigned AUTO_INCREMENT NOT NULL,
name varchar(255) NOT NULL,
address varchar(255) NOT NULL,
kaisuu text NOT NULL,
PRIMARY KEY (id)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
        ";
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql );         
    }
    //tochiテーブルが存在していなければ作成する
    if ($wpdb->get_var("SHOW TABLES LIKE '$table2'") != $table2) {

        $sql = "
            CREATE TABLE IF NOT EXISTS `$table2` (
id int(10) unsigned AUTO_INCREMENT NOT NULL,
area varchar(255) NOT NULL,
syozai varchar(255) NOT NULL,
price int(20) default '0',
PRIMARY KEY (id)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
        ";

        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql );         
    }
    //satei_logテーブルが存在していなければ作成する
    if ($wpdb->get_var("SHOW TABLES LIKE '$table13'") != $table13) {

        $sql = "
            CREATE TABLE IF NOT EXISTS `$table13` (
id int(10) unsigned AUTO_INCREMENT NOT NULL,
type varchar(255) NOT NULL,
serial varchar(255) NOT NULL,
time varchar(255) NOT NULL,
name varchar(255) NOT NULL,
log varchar(255) NOT NULL,
PRIMARY KEY (id)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
        ";

        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql );         
    }


function original_page1() {
add_menu_page('売却査定ログ', '売却査定ログ', 1, 'original_page1', 'baikyaku_mail', 'dashicons-analytics' ,201);
}
add_action('admin_menu', 'original_page1');
function add_custom_submenu_page1()
{
add_submenu_page('original_page1', '一戸建て査定ログ', '一戸建て査定ログ', 'manage_options', 'kodate_satei_log', 'kodate_satei_log', 3);
add_submenu_page('original_page1', '土地査定ログ', '土地査定ログ', 'manage_options', 'tochi_satei_log', 'tochi_satei_log', 4);
add_submenu_page('original_page1', 'マンション査定ログ', 'マンション査定ログ', 'manage_options', 'manshon_satei_log', 'manshon_satei_log', 5);
}
add_action('admin_menu', 'add_custom_submenu_page1');
function baikyaku_mail(){
echo '<form method="post" action="options.php" enctype="multipart/form-data" encoding="multipart/form-data"><h2>査定ログメール設定</h2><p>査定があった時に担当者用メールアドレスに通知します。Fromメールアドレスは任意のアドレスを入力してください。</p><p><label>担当者用メールアドレス</label><input size="60" type="text" id="satei_mail" name="satei_mail" value="';
echo get_option('satei_mail');
echo '"></p><p><label>Fromメールアドレス</label><input size="60" type="text" id="satei_from_mail" name="satei_from_mail" value="';
echo get_option('satei_from_mail');
echo '"></p>';
echo submit_button();
echo '</form>';
}
function kodate_satei_log() {include 'kodate_satei_log.php';}
function tochi_satei_log() {include 'tochi_satei_log.php';}
function manshon_satei_log() {include 'manshon_satei_log.php';}
function add_my_ajaxurl2() {
?>
    <script>
        var ajaxurl = '<?php echo admin_url( 'admin-ajax.php'); ?>';
    </script>
<?php
}
add_action( 'wp_head', 'add_my_ajaxurl2', 1 );
function view_sitename(){
$satei_mail = get_option('satei_mail');
$satei_from = get_option('satei_from_mail');
$name = $_POST{'name'};
$kaisuu = $_POST{'kaisuu'};
$kado = $_POST{'kado'};
$menseki = $_POST{'menseki'};
$satei = $_POST{'satei'};
$log = '面積：'.$menseki.'平米、階数：'.$kaisuu.'、角部屋：'.$kado.'、簡易査定金額：'.$satei;
date_default_timezone_set('Asia/Tokyo');
$time = date("Y/m/d H:i:s");
$serial = strtotime(date("Y/m/d H:i:s"));
mb_language("Japanese"); 																						
mb_internal_encoding("UTF-8");
$mes = $time."\r\n".$name."の売却査定がありました。\r\n\r\n";
$mes .= "【査定内容】\r\n";
$mes .= "面積：".$menseki."平米\r\n階数：".$kaisuu."\r\n角部屋：".$kado."\r\n簡易査定金額：".$satei."\r\n\r\nこのメールは送信専用ですので、返信できません。";
mb_send_mail($satei_mail, $name.'の売却査定', $mes, 'From:'.$satei_from);
if(isset($name)) {
    global $wpdb;
    $result = $wpdb->insert( $wpdb->prefix.satei_log, array( 'serial' => $serial, 'time' => $time, 'name' => $name, 'log' => $log, 'type' => 'マンション売却'),array('%d','%s', '%s', '%s', '%s'));
    $wpdb->query($result);
} else {
}
    die();
}
add_action( 'wp_ajax_view_sitename', 'view_sitename' );
add_action( 'wp_ajax_nopriv_view_sitename', 'view_sitename' );
//一戸建て査定ログ
function view_sitename2(){
$satei_mail = get_option('satei_mail');
$satei_from = get_option('satei_from_mail');
$name = $_POST{'name'};
$menseki = $_POST{'menseki'};
$kouzou = $_POST{'kouzou'};
$year = $_POST{'year'};
$tiseki = $_POST{'tiseki'};
$kenri = $_POST{'kenri'};
$keijou = $_POST{'keijou'};
$kibo = $_POST{'kibo'};
$car = $_POST{'car'};
$kado = $_POST{'kado'};
$satei = $_POST{'satei'};
$log = '建物面積：'.$menseki.'平米、構造：'.$kouzou.'、築年数：'.$year.'年、土地面積：'.$tiseki.'平米、土地権利：'.$kenri.'、土地形状：'.$keijou.'、規模：'.$kibo.'、車侵入：'.$car.'、角地：'.$kado.'、簡易査定金額：'.$satei;
date_default_timezone_set('Asia/Tokyo');
$time = date("Y/m/d H:i:s");
$serial = strtotime(date("Y/m/d H:i:s"));
mb_language("Japanese"); 																						
mb_internal_encoding("UTF-8");
$mes = $time."\r\n".$name."一戸建ての売却査定がありました。\r\n\r\n";
$mes .= "【査定内容】\r\n";
$mes .= "建物面積：".$menseki."平米\r\n構造：".$kouzou."\r\n築年数：".$year."年\r\n土地面積：".$tiseki."平米\r\n土地権利：".$kenri."\r\n土地形状：".$keijou."\r\n規模：".$kibo."\r\n車侵入：".$car."\r\n角地：".$kado."\r\n簡易査定金額：".$satei."\r\n\r\nこのメールは送信専用ですので、返信できません。";
mb_send_mail($satei_mail, $name.'一戸建ての売却査定', $mes, 'From:'.$satei_from);
if(isset($name)) {
    global $wpdb;
    $result = $wpdb->insert( $wpdb->prefix.satei_log, array( 'serial' => $serial, 'time' => $time, 'name' => $name, 'log' => $log, 'type' => '一戸建て売却'),array('%d','%s', '%s', '%s', '%s'));
    $wpdb->query($result);
} else {
}
    die();
}
add_action( 'wp_ajax_view_sitename2', 'view_sitename2' );
add_action( 'wp_ajax_nopriv_view_sitename2', 'view_sitename2' );
//土地査定ログ
function view_sitename3(){
$satei_mail = get_option('satei_mail');
$satei_from = get_option('satei_from_mail');
$name = $_POST{'name'};
$menseki = $_POST{'menseki'};
$kouzou = $_POST{'kouzou'};
$year = $_POST{'year'};
$tiseki = $_POST{'tiseki'};
$kenri = $_POST{'kenri'};
$keijou = $_POST{'keijou'};
$kibo = $_POST{'kibo'};
$car = $_POST{'car'};
$kado = $_POST{'kado'};
$satei = $_POST{'satei'};
$log = '土地面積：'.$tiseki.'平米、土地権利：'.$kenri.'、土地形状：'.$keijou.'、規模：'.$kibo.'、車侵入：'.$car.'、角地：'.$kado.'、簡易査定金額：'.$satei;
date_default_timezone_set('Asia/Tokyo');
$time = date("Y/m/d H:i:s");
$serial = strtotime(date("Y/m/d H:i:s"));
mb_language("Japanese"); 																						
mb_internal_encoding("UTF-8");
$mes = $time."\r\n".$name."土地の売却査定がありました。\r\n\r\n";
$mes .= "【査定内容】\r\n";
$mes .= "土地面積：".$tiseki."平米\r\n土地権利：".$kenri."\r\n土地形状：".$keijou."\r\n規模：".$kibo."\r\n車侵入：".$car."\r\n角地：".$kado."\r\n簡易査定金額：".$satei."\r\n\r\nこのメールは送信専用ですので、返信できません。";
mb_send_mail($satei_mail, $name.'土地の売却査定', $mes, 'From:'.$satei_from);
if(isset($name)) {
    global $wpdb;
    $result = $wpdb->insert( $wpdb->prefix.satei_log, array( 'serial' => $serial, 'time' => $time, 'name' => $name, 'log' => $log, 'type' => '土地売却'),array('%d','%s', '%s', '%s', '%s'));
    $wpdb->query($result);
} else {
}
    die();
}
add_action( 'wp_ajax_view_sitename3', 'view_sitename3' );
add_action( 'wp_ajax_nopriv_view_sitename3', 'view_sitename3' );
function baikyaku_styles() {
  wp_enqueue_style( 
    'sub-style',
    plugin_dir_url( __FILE__ ).'style.css' 
  );
}

add_action( 'wp_enqueue_scripts', 'baikyaku_styles' );
?>